default:
  image: python:3.10.9
  timeout: 5 minutes

stages:
  - build
  - test

unit-test-job:
  stage: test
  script:
    - pip install pytest
    - pytest tools.py --doctest-modules

lint-test-job:
  stage: test
  script:
    - pip install flake8
    - flake8 app.py

git-setting-zip-job:
  stage: build
  only:
    - schedules
  script:
    - git config user.email "${GITLAB_USER_EMAIL}"
    - git config user.name "${GITLAB_USER_NAME}"
    - git remote set-url main https://oauth2:${GITLAB_ACCESS_TOKEN}@${CI_SERVER_HOST}/${CI_PROJECT_PATH}
    - git branch -D "release-"$(date +"%Y-%m-%d")
    - git checkout -b "release-"$(date +"%Y-%m-%d")
    - git push  https://oauth2:${GITLAB_ACCESS_TOKEN}@${CI_SERVER_HOST}/${CI_PROJECT_PATH}.git --set-upstream "release-"$(date +"%Y-%m-%d")
    - pip install zip_files
    - python zip.py
    - git add .
    - git commit -m "ajout de l'archive"
    - git push
